%define src_ver 0.50-2

%define languageenglazy Czech
%define languagecode cs
%define lc_ctype cs_CZ

Summary:       %{languageenglazy} files for aspell
Summary(cs):   Český slovník pro korektor překlepů aspell
Name:          aspell-%{languagecode}
Version:       0.50.2
Release:       2mdk
Group:         System/Internationalization
Source:	       http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell-%{languagecode}-%{src_ver}.tar.bz2
URL:		   http://aspell.sourceforge.net/
License:	   GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}
Provides:      spell-%{languagecode}

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build

# don't use configure macro
./configure

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

mv -f README README.%{languagecode}
chmod 644 Copyright README.%{languagecode} 

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.%{languagecode} Copyright 
%dir %{_datadir}/aspell
%{_datadir}/aspell/*
%dir %{_libdir}/aspell
%{_libdir}/aspell/*

%changelog
* Tue Aug 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.2-2mdk
- added directories owning

* Tue Jul 15 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.2-1mdk
- updated package and rebuilt against aspell 0.50.2

* Fri Mar 07 2003 Warly <warly@mandrakesoft.com> 0.2-3mdk
- add tag Provides spell-cs
 
* Mon Jul 15 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 0.2-2mdk
- BuildRequires: ispell (yes, really)

* Sat May 18 2002 Pablo Saratxaga  <pablo@mandrakesoft.com> 0.2-1mdk
- updated the dictionnary (dated 2001-11-04) from ispell-czech and
  integrated changes from Petr Spatka <petr.spatka@centrum.cz>

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-3mdk
- Undo move to /usr/share/pspell4

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-2mdk
- Release 0.0-3 (from aspell)

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.2-1mdk
- Cleaned up the spec and moved to standard template.
- First version for Mandrake - copied from RedHat spec.
- Macroszification.

* Tue Aug 01 2000 Trond Eivind Glomsrød <teg@redhat.com>
- New dictionary from Petr Kolar <Petr.Kolar@vslib.cz>

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrød <teg@redhat.com>
- use "cs", the ISO 639 name
- use the proper name on the pwli file

* Mon Jun 26 2000 Trond Eivind Glomsrød <teg@redhat.com>
- first RPM

